/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

'use strict';

module.exports = {
  extends: ['stylelint-config-standard', 'stylelint-config-prettier'],
  ignoreFiles: ['node_modules', '**/*.md'],
  defaultSeverity: 'warning',
  rules: {
    'custom-property-pattern': [
      '^sds-c-([a-z][a-z0-9]*)(-[a-z0-9]+)*$',
      {
        severity: 'error',
        message: "All component custom properties must begin with '--sds-c-' and be kebab-case",
      },
    ],
  },
};
